Saves

Discussion in '3DS - Flashcards & Custom Firmwares' started by slayre, Jun 3, 2014.

  1. slayre
    OP

    slayre Member

    Newcomer
    18
    0
    May 21, 2014
    United States
    If I play a game on 4.4 EMUNAND and have a save file, if I wish to update to 7.2 EMUNAND later when they sort out the problems, will my save still work or will it be corrupt?
     
  2. CFallenleaf

    CFallenleaf GBAtemp Fan

    Member
    311
    54
    Mar 19, 2010
    United States
    Your save will not corrupt.
     
  3. ScarletCrystals

    ScarletCrystals Useless Bunny of Paradise

    Member
    941
    283
    Apr 9, 2010
    Canada
    Bamboo Forest, Gensokyo
    Actually, there's a possibility that sdk5/sdk6 games would have corrupted saves.
    The reason being that if gateway manages to fix sdk7, there's a good chance that games that use sdk5/6 would use the proper save method as well (instead of sdk4 like now)
    That would result in the 3ds automatically overwriting the old save with improper save method with a new save using the proper method.
     
  4. slayre
    OP

    slayre Member

    Newcomer
    18
    0
    May 21, 2014
    United States
    ahh. Well thats good to know. Hopefully they can figure this out
     
  5. misterb98

    misterb98 Moral Gateway User. Wat.

    Member
    450
    142
    Aug 24, 2010
    United States
    They would probably just say to edit the rom's header in a hex editor. Wasn't it discovered that you could force the old encryption by doing this? It was already posted as a fix for bravely default saves.
     
  6. gamesquest1

    gamesquest1 Nabnut

    Member
    GBAtemp Patron
    gamesquest1 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    14,165
    9,523
    Sep 23, 2013
    well i'm not sure i seem to remember reading when gateway added 6.x save encryption they just used a different encryption key to make 6.x "style" saves they didn't/couldn't get the proper 6.x encryption key but they could provide an alternate one, so its not actually using 4.x encryption its using gateways version of 6.x encryption.

    now as i said im not 100% on the details but there is a difference when you switch between pre 6.x encryption and saves using the gateway version of 6.x encryption, you can see this by editing the rom to use pre 6.x encrytion and your saves will be "corrupt" so gateway 6.x is defiantly not just using 4.x encryption
     
    misterb98 likes this.